[tool.poetry]
name = "pos_system"
version = "0.1.0"
description = ""
authors = ["Jasen Qin <capitalswine@gmail.com>"]
readme = "README.md"
# package-mode = false

[tool.poetry.dependencies]
python = "^3.12"
Kivy = "^2.3.0"
fastapi = "^0.111.0"
hypothesis = "^6.105.1"
pymongo = "^4.8.0"
pytest = "^8.2.2"
python-jose = "^3.3.0"
passlib = "^1.7.4"

pydantic = "^2.8.2"
pytest-xdist = "^3.6.1"
cryptography = "^43.0.0"
bcrypt = "^4.1.3"
[tool.poetry.group.dev.dependencies]
ipykernel = "^6.29.5"

[build-system]
requires = ["poetry-core"]
build-backend = "poetry.core.masonry.api"

[tool.autopep8]
indent-size = 2

[tool.poetry.scripts]
server = "pos_system.server:main"
ui = "pos_system.ui:main"
test-items = "tests.test_items_fastapi:test"
